## (c) CAVALIBA.COM

### Version

    2025/06 - 3.19.1

### Getting (quick) started

    cp env.template .env
    => customize .env (passwords, etc.)

    docker compose up -d
    
    => point your browser to http://localhost[:port]
    => login with admin and .env defined password

### Doc

    see www.cavaliba.com

### LICENSE

    BSD-3 CLAUSE


### Release Notes 3.19.1

    - bugfix: boolean in edit form ; wrong display is explicitly False
    - bugfix: is_restricted = False => Data Edit Boolean mismatch 
    - bugfix: sirene demo data => missing bgcolor
    - bugfix: demo data invalid sirene_group (> notify_group)
    - bugfix: /files/ to files/ in sms,mail,templates fs access
    - bugfix: sirene message hask must be keyname, not uuid
    - bugfix: sirene message expand_group maxcount missing in recursion
    - bugfix: sirene, missing widget for Other/x1F7E4 in form editor dropdown
    - refactor Instance() constructors ; split new/load , @classmethod
    - added classname field to DB instance Model (future : deprecate classobj field)
      upgrade: cavaliba eav --eav_refresh --force
    - new standard logger() ; ALPHA
    - eav_purge + daily task
    - schema options framework (ALPHA) ; keyname_mode introduction (disabled)

    Upgrade path:
    - .env version = 3.19.1
    - force new classname field in DataInstance with:
      $ cavaliba eav --eav_refresh --force
    - correct sirene_message handle_method to 'keyname' in DB editor
    

### Release Notes 3.19.0 (ALPHA) - Filestore feature

    - BUGFIX: UI/instance.create() incorrect flash message 
    - FEATURE: app_status : API worklist, workresult for external poller
    - FEATURE: Filestore ALPHA : (x) Model, (x) Field type ; (x) new/edit/detail
    - backup/ directory relative to files/ ; update backup scripts
    - nginx.conf:  for API / file upload:  client_max_body_size 20M;

    Upgrade Path from 3.18.2
    - mkdir files/backup
    - mkdir files/filestore dir
    - (optional) edit nginx.conf and set 'client_max_body_size 20M;' see full download .tar.gz in doubt
    - increment .env version to 3.19.0
    - docker compose down , docker-compose up -d



### Version history

    Version 1.0     - 2024/03/12 - reinit from POC 2023
    Version 1.1     - 2024/03/17 - usergroup exports
    Version 1.2     - 2024/03/24 - config UI, SMS quota, bugfix
    Version 1.3     - 2024/04/01
    Version 1.4     - 2024/04/01 - bugfix
    Version 1.5     - 2024/04/07 - JIT vistor mode, translations, export YAML
    Version 1.6     - 2024/04/14 - UI, sysadmin, stat_view, 
    Version 2.0     - 2024/04/21 - refactor multi-app / url prefix per app
    Version 3.0a    - 2024/06/   - (alpha) switch to framework 
    Version 3.0     - 2024/07/21 - push to PROD/QUAL
    Version 3.1     - 2024/07/29 - UI refresh, split Field, perms on instances
    Version 3.2     - 2024/08/11 - import/export yaml data
    Version 3.3     - 2024/08/15 - export YAML for sirene, UI/paginate data
    Version 3.4     - 2024/08/18 - new data format (date, float, ipv4), data UI paginate
    Version 3.5     - 2024/09/15 - Data bigset / ajax / filter ; tested with 500K entries
    Version 3.6     - 2024/09/22 - groups/roles details + link ; UI ; bugfix
    Version 3.6.1   - 2024/09/22 - quick fix AAA/cache
    Version 3.7     - 2024/09/29 - fieldtypes static/user, UI, ApiKey, UI for AAA details
    Version 3.8     - 2024/10/06 - user: edit w/ group, bigset/ajax, load_csv, log viewer
    Version 3.9     - 2024/10/13 - data_pipeline, data_views(beta), FieldText, load csv refactor
    Version 3.10    - 2024/11/03 - Docker HUB cavaliba/cavaliba:3.10
    Version 3.11    - 2024/11/17 - Refactor DataView, /files/ , /status/, cavaliba naming
    Version 3.11.1  - 2024/11/26 - bugfix cavaliba_load command
    Version 3.11.2  - 2024/11/26 - bugfix cavaliba_load command (pipeline)
    Version 3.12.0  - 2024/12/04 - beta PostgreSQL, var Refactor
    Version 3.13.0a - 2024/12/10 - Docker Hub - API Alpha
    Version 3.13.1  - 2024/12/27 - Feature Handle, Loader : no public release
    Version 3.14.0  - 2025/01/14 - sidebar, instance permission ; >> Docker Hub
    Version 3.14.1  - 2025/01/15 - UI dataview/size in session ; .env Options ; >> Docker Hub
    Version 3.14.2  - 2025/01/22 - dynamic sidebar + UI >> Docker Hub
    Version 3.14.3  - 2025/02/03 - External fieldtype ; permissions #2
    Version 3.14.4  - 2025/02/05 - Bugfix Caching ;  
    Version 3.14.5  - 2025/02/05 - Translation - Font-size
    Version 3.15.0  - 2025/02/15 - Reset Migrations, inject Enumerate subfields ; Docker Hub / GitHub
    Version 3.15.1  - 2025/02/16 - UI detail, refactor cache, global cli, impersonate V2
    Version 3.15.2  - 2025/02/19 - pipeline task primitives
    Version 3.15.3  - 2025/03/02 - externals & subfields
    Version 3.15.4  - 2025/03/16 - unittest, fixtures, UI search/filter, export YAML/JSON
    Version 3.15.5  - 2025/03/23 - exporter/dataview/csv ; quit GitHub
    Version 3.15.6  - 2025/03/24 - bugfix is_multi()
    Version 3.15.7  - 2025/03/30 - cron, multi, default, unittest, granular perms, 
    Version 3.15.8  - 2025/04/02 - bug fix bootstrap app ; debug opt ; impersonate ;  no default perm
    Version 3.15.9  - 2025/04/06 - pipeline, view default permission, demo data
    Version 3.15.10 - 2025/04/09 - pipeline conditions
    Version 3.15.11 - 2025/04/13 - remove oa2p.cfg, backup script, refactor, demo data
    Version 3.15.12 - 2025/04/19 - data_backup, print, 
    Version 3.16    - 2025/05/02 - Sirene Refactor to DataSchema
    Version 3.17.1  - 2025/05/15 - app_status V1
    Version 3.18    - 2025/05/22 - app_ipam v1
    Version 3.18.1  - 2025/05/25 - DataEAV/Reverse ; builtin/demo
    Version 3.18.2  - 2025/05/25 - EAV / IPAM bugfix
    Version 3.19.0  - 2025/06/09 - Filestore, Status API for external poller, bugfix


