# (c) cavaliba.com - data - handle.py

import uuid
import hashlib


# supported methods
# ----------------

# keyname
# uuid
# md5
# external
# ipv4



def update_handle(method="keyname", keyname=None, current_handle=None):

    if method == "keyname":
        return keyname
    
    elif method == "external":
        return current_handle
    
    elif method == "uuid":
        return str(uuid.uuid4())
    
    elif method == "md5":
        m = hashlib.md5()
        m.update(keyname.encode('UTF-8'))
        return m.hexdigest()

    elif method == "ipv4":
        # 10.1.2.3 > 10_1_2_3
        # 10.1.2./24 > 10_1_2_0_24
        a = keyname
        a = a.replace('.','_')
        a = a.replace('/','_')
        return a
    
    return keyname



