# (c) cavaliba.com - data - tasks.py

from celery import shared_task

from app_home.log import log, DEBUG, INFO, WARNING, ERROR, CRITICAL


from app_data.data import update_bigset
from app_data.eav import eav_refresh
from app_data.eav import eav_purge



@shared_task
def data_housekeeping_daily():

    aaa = None
    
    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", data=f"START")


    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", data=f"update_bigset")
    update_bigset()

    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", data=f"eav_refresh start ...")
    count_create, count_update, count = eav_refresh()
    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", 
        data=f"eav_refresh done: {count_create} created, {count_update} updated, {count} total")
    
    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", data=f"eav_purge start ...")
    count_delete, count = eav_purge()
    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", 
        data=f"eav_purge done : {count_delete} deleted, {count} total")

    log(INFO, aaa=aaa, app="data", view="cron", action="daily", status="OK", data=f"DONE")
