 # (c) cavaliba.com - sirene - urls.py

from django.urls import path

from . import views

from . import api_views
from . import sms_views




# url namespace
app_name="app_sirene"

urlpatterns = [

    # PUBLIC
    path('', views.index, name='index'),

    # Anonymous / Trusted IPs / No AUTH
    path('anon/'             , views.anon_list,   name='anonymous'),
    path('anon/<str:handle>/', views.anon_detail, name='anonymous_detail'),

    # private list/detail
    path('private/', views.private_list, name='private'),
    path('private/detail/<str:handle>/', views.private_detail, name='detail'),
    path('private/update/<str:handle>/',  views.update, name='update'),
    path('private/flushall/', views.flushall_view, name='flushall'),
    path('private/history/', views.history, name='history'),

    #path('private/archive/<str:handle>/', views.archive, name='archive'),


    # API
    path('api/', api_views.index, name='api_index'),
    
    # SMS
    path('private/sms/send/', sms_views.sms_send, name='sms_send'),
    path('private/sms/stat/', sms_views.sms_stat, name='sms_stat'),
    path('private/sms/journal/', sms_views.sms_journal, name='sms_journal'),


]
