# (c) cavaliba.com - app_status - tasks.py

from celery import shared_task

from app_home.configuration import get_configuration
import app_home.cache as cache
from app_home.log import log, DEBUG, INFO, WARNING, ERROR, CRITICAL

from app_status.common import run_monitors

from app_status.common import sample_hour
from app_status.common import sample_day

from app_status.common import cleanup_raw
from app_status.common import cleanup_hour


#@app.task
@shared_task
def task_run_monitor():

    aaa = None
    count = run_monitors()
    log(INFO, aaa=aaa, app="status", view="cron", action="run_monitor", status="OK", data=f"{count} run")


# -- sample

@shared_task
def task_sample_hour():
    aaa = None
    total = sample_hour()
    log(INFO, aaa=aaa, app="status", view="cron", action="sample_hour", status="OK", data=f"{total} updated")

@shared_task
def task_sample_day():
    aaa = None
    total = sample_day()
    log(INFO, aaa=aaa, app="status", view="cron", action="sample_day", status="OK", data=f"{total} updated")


# -- cleanup

@shared_task
def task_cleanup_raw():
    aaa = None
    cleanup_raw()
    log(INFO, aaa=aaa, app="status", view="cron", action="cleanup_raw", status="OK", data="")

@shared_task
def task_cleanup_hour():
    aaa = None
    cleanup_hour()
    log(INFO, aaa=aaa, app="status", view="cron", action="cleanup_hour", status="OK", data="")


